Subject: [Megaco] RE: Default values of reserved value and reserved group

From: [email-masked]
Date: Tue, 7 May 2002 19:22:06 +0530

Hi Tom

I am not sure but this statement might not be true for the media descriptor
parameters. You will not pass the local and remote descriptor every time. And
most of the operation realted to media are built (changing the mode, or reserve
value resreve group operations etc ) on whatever has been allocated earlier.

Please clarify.

Regards
Vivek

www.hssworld.com

"Tom-PT Taylor" <[email-masked]> on 05/07/2002 06:48:44 PM

To:   Vivek Bansal/HSS@HSS
cc:   Megaco <[email-masked]>

Subject:  RE: Default values of reserved value and reserved group

We discussed this in Geneva, and the consensus of the admittedly small group
there was that you have to restate all the writable properties you want to
take on a non-default setting, every time you send down the descriptor they
reside in.  That applies to all descriptors, not just LocalControl.  I can't
remember now if we brought this issue to the list for confirmation.

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]
Sent: Tuesday, May 07, 2002 12:56 AM
To: Taylor, Tom-PT [CAR:B800:EXCH]
Cc: Megaco
Subject: Default values of reserved value and reserved group

Hi Tom

I have some query regarding the default values of reserved value and
reserved
group. It is mentioned in the protocol that

"The default value of ReserveValue and ReserveGroup is False and new setting
of
the LocalControl Descriptor completely replaces the previous setting of that
descriptor in the MG."

Is this statement true only in case we have local descriptor specified in
the
media descriptor or is it valid every time the local control is received
from
MGC?

Also is it not possible just to change the other parameters like mode etc.
of
the local control descriptor without changing the values of reserved value
and
reserved group?

Regards
Vivek

www.hssworld.com

---

From: Terry L Anderson <[email-masked]>
Date: Tue, 07 May 2002 12:12:13 -0400

I think that the statement is meant to apply only to the lowest level 
discriptors, that is, if LocalControl is included then any omitted 
parameters return to default values; if SignalsDescriptor is included 
then only the signals it defines continue, etc.  But it was NOT intended 
to apply to the descriptors that simply contain other descriptors such 
as MediaDescriptor or StreamsDescriptor.  It was NOT intended that 
including a MediaDescriptor and omitting a LocalDescriptor returned 
Local to some default or omitting the entire LocalControl would return 
all parameters to default.  Perhaps the wording could have been more 
precise about hierarchical descriptors.

[email-masked] wrote:

> ------------------------------------------------------------------------
>
> We discussed this in Geneva, and the consensus of the admittedly small 
> group there was that you have to restate all the writable properties 
> you want to take on a non-default setting, every time you send down 
> the descriptor they reside in.  That applies to all descriptors, not 
> just LocalControl.  I can't remember now if we brought this issue to 
> the list for confirmation.
>
> "The default value of ReserveValue and ReserveGroup is False and new 
> setting of
> Is this statement true only in case we have local descriptor specified 
> in the
> media descriptor or is it valid every time the local control is 
> received from
> MGC?
>
> Also is it not possible just to change the other parameters like mode 
> etc. of
> the local control descriptor without changing the values of reserved 
> value and
> reserved group?
>
> Regards
> Vivek
>
> www.hssworld.com
>
>

-- 

------------------------------------------------------------
Terry L Anderson              mailto:[email-masked] 
Tel:732.949.5628   Fax:732.949.7016 
Lucent Technologies/INS/Voice Over IP Access Networks
Rm 2G-219A, 101 Crawfords Corner Rd, Holmdel, NJ 07733-3030
http://its.lucent.com/~tla (Lucent internal) http://www.gti.net/tla

_______________________________________________
Megaco mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/megaco

---

From: Terry L Anderson <[email-masked]>
Date: Tue, 07 May 2002 12:12:13 -0400

--